On this page

# Get funding history

This endpoint allows users to get funding history.

    GET /api/v1/funding/history

####
Query Parameters

Field
Type
Need
Description
Example

`"account"`

string

required

Trading pair symbol

`42trU9A5...`

`"limit"`

integer

optional

Maximum number of records to return default system defined limit

`100`

`"offset"`

integer

optional

Number of records to skip

`0`

    /api/v1/funding/history?account=42trU9A5...&limit=100&offset=0

####
Response

- Status 200: Successfully retrieved funding history

      [
        {
          "history_id": 12551,
          "symbol": "BTC",
          "side": "bid",
          "amount": "0.00011000",
          "payout": "-0.000145",
          "rate": "0.00001250",
          "created_at": 1748955604604
        }
      ]

Field
Type
Description

`"history_id"`

integer

History id of trade

`"symbol"`

string

Trading pair symbol

`"side"`

string

If the position resulting in the funding payment was long or short (bid or ask)

`"amount"`

decimal string

Amount (in token denomination) of the position that resulted in the funding payment

`"payout"`

decimal string

Funding paid (in USD)

`"rate"`

decimal string

Funding rate that was used to calculate the payput

`"created_at"`

integer

Timestamp in milliseconds when the funding payment was logged

- Status 400: Invalid request parameters

- Status 401: Unauthorized access

- Status 500: Internal server error

####
Code Example (Python)

    import requests

    response = requests.get(
        "/api/v1/funding/history?account=42trU9A5...&limit=100&offset=0",
        headers={"Accept": "*/*"},
    )

    data = response.json()

PreviousGet trade history
NextGet account equity history

Last updated 3 months ago